# Collection of user scripts

## AnimeBytes

### [Mediainfo Improvements](AnimeBytes/ab-mediainfo.user.js)

This user script parses available Mediainfo on torrents (Anime / Live Action / Music), and expands/enhances the details available on such groups.
In addition, several checks will be done on the underlying content, and verify site tags are correct. New tags will then be presented to the user. It'll also auto-fill Anime upload details based on Mediainfo.

Other features exist, here's a small list of some of them: improved fields, advanced audio/video/text codec detection,
video chroma, content-based warnings, custom RegExp filtering, custom CSS, source name detection, HDR metadata, Chapter/Ordered Chapters detection,
encoding settings display, extended tags (Dual/Multi/Commentary audio/subs), REMUX labeling, fallback labeling, and more.

[forum thread](https://animebytes.tv/forums.php?action=viewthread&threadid=27557)

### [Filelist Improvements](AnimeBytes/ab-filelist.user.js)

This script improves the file list by including folder names on file listing, adding exact file sizes (on hover),
and using original path names as specified on torrent (AB listing eats double spaces or similar).
In addition, it includes piece size / piece count / info hash of the torrent.

Whenever you click, hover, or specifically open a link with the file listing (so it's shown by default),
the script will fetch the .torrent file, parse the bencode'd torrent file, and update the file listing with all values found.


[forum thread](https://animebytes.tv/forums.php?action=viewthread&threadid=27561)