class ABClass {
    constructor() {
        if (this instanceof ABClass) {
            throw Error('A static class cannot be instantiated.');
        }
    }

    static videoTypes = [
        "Movie",
        "OVA",
        "ONA",
        "TV Series",
        "TV Special",
        "DVD Special",
        "BD Special"
    ];

    static musicVideoTypes = [
        "DVD",
        "PV",
        "Live",
    ];

    static sources = [
        "TV",
        "DVD",
        "DVD5",
        "DVD9",
        "Blu-ray",
        "UHD Blu-ray",
        "HD DVD",
        "VHS",
        "VCD",
        "LD",
        "Web"
    ];

    static containers = [
        "AVI",
        "MKV", //open
        "MP4",
        "OGM", //open
        "WMV",
        "MPG",
        "ISO",
        "VOB",
        "VOB IFO",
        "TS",
        "M2TS",
        "FLV",
        "RMVB"
    ];

    static videoCodecs = [
        "h264",
        "h264 10-bit",
        "h265",
        "h265 10-bit",
        "XviD",
        "DivX",
        "WMV",
        "MPEG-1/2",
        "VC-1",
        "MPEG-TS",
        "DVD5",
        "DVD9",
        "RealVideo",
        "VP6",
        "VP9",
        "AV1"
    ];

    static audioCodecs = [
        "MP3",
        "Vorbis",
        "Opus",
        "AAC",
        "AC3",
        "TrueHD",
        "DTS",
        "DTS-ES",
        "FLAC",
        "PCM",
        "WMA",
        "MP2",
        "WAV",
        "DTS-HD",
        "DTS-HD MA",
        "RealAudio"
    ];
}